about summary refs log tree commit diff
path: root/test/pbmtext-utf8.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/pbmtext-utf8.test')
-rwxr-xr-xtest/pbmtext-utf8.test18
1 files changed, 9 insertions, 9 deletions
diff --git a/test/pbmtext-utf8.test b/test/pbmtext-utf8.test
index 0677d161..9203607f 100755
--- a/test/pbmtext-utf8.test
+++ b/test/pbmtext-utf8.test
@@ -135,20 +135,20 @@ echo "Test input text which exceeds length limit" 1>&2
 echo "Error messages should appear below the line." 1>&2
 echo "-----------------------------------------------------------" 1>&2
 
-echo -n "z" >> ${long_txt}
+printf "z" >> ${long_txt}
 cat ${long_txt} | wc -c | tr -d ' '
 
 cat ${long_txt} | \
   LC_ALL=${locale_for_test} \
   pbmtext -nomargins -builtin fixed -wchar > ${test_out} || \
-  echo -n "Expected failure 1";
+  printf "Expected failure 1";
   test -s ${test_out}; echo " "$?
   rm -f ${test_out}
 
 cat ${long_txt} | \
   LC_ALL=${locale_for_test} \
   pbmtext -nomargins -builtin fixed -wchar > ${test_out} || \
-  echo -n "Expected failure 2";
+  printf "Expected failure 2";
   test -s ${test_out}; echo " "$?
   rm -f ${test_out}
 
@@ -169,41 +169,41 @@ echo "Test 6 Invalid"
 awk 'BEGIN { printf("%c%c",128,129);  print ""}' | \
         LC_ALL=${locale_for_test} \
         pbmtext -builtin bdf -wchar -text-dump > ${test_out}
-  echo -n "6-1:" ${PIPESTATUS[@]} ":" $?
+  printf "6-1: ${PIPESTATUS[*]} : $?"
   test -s ${test_out}; echo " "$?
   rm -f ${test_out}
 
 awk 'BEGIN { printf("ABC%c%c",192, 193);  print ""}' | \
         LC_ALL=${locale_for_test} \
         pbmtext -builtin bdf -wchar -text-dump > ${test_out}
-  echo -n "6-2:" ${PIPESTATUS[@]} ":" $?
+  printf "6-2: ${PIPESTATUS[*]} : $?"
   test -s ${test_out}; echo " "$?
   rm -f ${test_out}
 
 awk 'BEGIN { printf("abcde%c%c", 254, 253);  print ""}' | \
         LC_ALL=${locale_for_test} \
         pbmtext -builtin bdf -wchar -text-dump > ${test_out}
-  echo -n "6-3:" ${PIPESTATUS[@]} ":" $?
+  printf "6-3: ${PIPESTATUS[*]} : $?"
   test -s ${test_out}; echo " "$?
   rm -f ${test_out}
 
 awk 'BEGIN { printf("abcdefg%c%c", 195, 15);  print ""}' | \
         LC_ALL=${locale_for_test} \
         pbmtext -builtin bdf -wchar -text-dump > ${test_out}
-  echo -n "6-4:" ${PIPESTATUS[@]} ":" $?
+  printf "6-4: ${PIPESTATUS[*]} : $?"
   test -s ${test_out}; echo " "$?
   rm -f ${test_out}
 
 awk 'BEGIN { printf("123456789%c%c%c", 224, 143 ,0);  print ""}' | \
         LC_ALL=${locale_for_test} \
         pbmtext -builtin bdf -wchar -text-dump > ${test_out}
-  echo -n "6-5:" ${PIPESTATUS[@]} ":" $?
+  printf "6-5: ${PIPESTATUS[*]} : $?"
   test -s ${test_out}; echo " "$?
   rm -f ${test_out}
 
 awk 'BEGIN { printf("abcdefg123ABCDEFG%c%c%c%c",247, 135, 135, 7);  print ""}' | \
         LC_ALL=${locale_for_test} \
         pbmtext -builtin bdf -wchar -text-dump > ${test_out}
-  echo -n "6-6:" ${PIPESTATUS[@]} ":" $?
+  printf "6-6: ${PIPESTATUS[*]} : $?"
   test -s ${test_out}; echo " "$?
   rm -f ${test_out}